<?php
class ModelDesignLayoutPersonalizado extends Model {
	public function addLayoutPersonalizado($data) {
		$this->db->query("INSERT INTO " . DB_PREFIX . "design_layout_personalizado SET descricao = '" . $this->db->escape($data['descricao']) . "', tipo_layout = '" . (int)$data['tipo_layout'] . "', conteudo_layout = '" . $this->db->escape($data['conteudo_layout']) . "'");

		$layout_personalizado_id = $this->db->getLastId();
    return $layout_personalizado_id;
	}

	public function editLayoutPersonalizado($design_layout_personalizado_id, $data) {
		$this->db->query("UPDATE " . DB_PREFIX . "design_layout_personalizado SET descricao = '" . $this->db->escape($data['descricao']) . "', tipo_layout = '" . (int)$data['tipo_layout'] . "', conteudo_layout = '" . $this->db->escape($data['conteudo_layout']) . "' WHERE design_layout_personalizado_id = '" . (int)$design_layout_personalizado_id . "'");
	}

	public function deleteLayoutPersonalizado($design_layout_personalizado_id) {
    $this->db->query("DELETE FROM " . DB_PREFIX . "design_layout_personalizado WHERE design_layout_personalizado_id = '" . (int)$design_layout_personalizado_id . "'");
	}

	public function getLayoutPersonalizado($design_layout_personalizado_id) {
		$query = $this->db->query("SELECT DISTINCT * FROM " . DB_PREFIX . "design_layout_personalizado WHERE design_layout_personalizado_id = '" . (int)$design_layout_personalizado_id . "'");

		return $query->row;
	}

	public function getLayoutPersonalizados($data = array()) {
		$sql = "SELECT * FROM " . DB_PREFIX . "design_layout_personalizado";

		$sort_data = array(
			'descricao'
		);

		if (isset($data['sort']) && in_array($data['sort'], $sort_data)) {
			$sql .= " ORDER BY " . $data['sort'];
		} else {
			$sql .= " ORDER BY descricao";
		}

		if (isset($data['order']) && ($data['order'] == 'DESC')) {
			$sql .= " DESC";
		} else {
			$sql .= " ASC";
		}

		if (isset($data['start']) || isset($data['limit'])) {
			if ($data['start'] < 0) {
				$data['start'] = 0;
			}

			if ($data['limit'] < 1) {
				$data['limit'] = 20;
			}

			$sql .= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
		}

		$query = $this->db->query($sql);

		return $query->rows;
	}

	public function getTotalLayoutPersonalizados() {
    $query = $this->db->query("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "design_layout_personalizado");

		return $query->row['total'];
	}
}
